Subject: Re: [PATCH v8 2/3] gitweb: refactor If-Modified-Since handling

From: Jakub Narebski <[email-masked]>
Date: Fri, 30 Mar 2012 16:30:51 +0100

W. Trevor King wrote:

> The current gitweb only generates Last-Modified and handles
> If-Modified-Since headers for the git_feed action.  This patch breaks
> the Last-Modified and If-Modified-Since handling code out from
> git_feed into a new function exit_if_unmodified_since.  This makes the
> code easy to reuse for other actions.
> 
> Only gitweb actions which can easily calculate a modification time
> should use exit_if_unmodified_since, as the goal is to balance local
> processing time vs. upload bandwidth.
> 
> Signed-off-by: W Trevor King <[email-masked]>

Nice and clear.

  Acked-by: Jakub Narebski <[email-masked]>

Perhaps the second paragraph of the commit message would read better if
it started with "Note that only ..." or something like that, but this
is not that important, and not worth another round.

-- 
Jakub Narebski
Poland